WinCrypt.CERT_CHAIN_PARA (JNA API)

com.sun.jna.platform.win32

## Class WinCrypt.CERT_CHAIN_PARA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_CHAIN_PARA

- Direct Known Subclasses:
    WinCrypt.CERT_CHAIN_PARA.ByReference, WinCrypt.CERT_STRONG_SIGN_PARA.ByReference, WinCrypt.CERT_STRONG_SIGN_SERIALIZED_INFO.ByReference
  Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"cbSize","RequestedUsage","RequestedIssuancePolicy","dwUrlRetrievalTimeout","fCheckRevocationFreshnessTime","dwRevocationFreshnessTime","pftCacheResync","pStrongSignPara","dwStrongSignFlags"})
      public static class WinCrypt.CERT_CHAIN_PARA
      extends Structure

  The CERT_CHAIN_PARA structure establishes the searching and matching criteria to be used in building a certificate chain.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CERT_CHAIN_PARA.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbSize`
    `int` | `dwRevocationFreshnessTime`
    `int` | `dwStrongSignFlags`
    `int` | `dwUrlRetrievalTimeout`
    `boolean` | `fCheckRevocationFreshnessTime`
    `WinBase.FILETIME.ByReference` | `pftCacheResync`
    `WinCrypt.CERT_STRONG_SIGN_PARA.ByReference` | `pStrongSignPara`
    `WinCrypt.CERT_USAGE_MATCH` | `RequestedIssuancePolicy`
    `WinCrypt.CERT_USAGE_MATCH` | `RequestedUsage`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CERT_CHAIN_PARA()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbSize

          public int cbSize

    - #### RequestedUsage

          public WinCrypt.CERT_USAGE_MATCH RequestedUsage

    - #### RequestedIssuancePolicy

          public WinCrypt.CERT_USAGE_MATCH RequestedIssuancePolicy

    - #### dwUrlRetrievalTimeout

          public int dwUrlRetrievalTimeout

    - #### fCheckRevocationFreshnessTime

          public boolean fCheckRevocationFreshnessTime

    - #### dwRevocationFreshnessTime

          public int dwRevocationFreshnessTime

    - #### pftCacheResync

          public WinBase.FILETIME.ByReference pftCacheResync

    - #### pStrongSignPara

          public WinCrypt.CERT_STRONG_SIGN_PARA.ByReference pStrongSignPara

    - #### dwStrongSignFlags

          public int dwStrongSignFlags

  - ### Constructor Detail

    - #### CERT_CHAIN_PARA

          public CERT_CHAIN_PARA()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.